#ifndef __KYEE_VERIFY_H__
#define __KYEE_VERIFY_H__
#include <stdio.h>
#define TEMP_CERT   "/tmp/_keylin.crt"
#define dat_path    "/tmp/_Firmware.dat"
#define KYLIN_ROOTCA_FILE   "/usr/share/ca-certificates/kylin/RootCA.pem"
#define KYLIN_FIRMWARECA_FILE  "/usr/share/ca-certificates/kylin/FirmwareCA.pem"
#define KYLIN_CRL_FILE      "/usr/share/ca-certificates/kylin/KylinCRL.crl"

#ifdef __cplusplus
extern "C" {
#endif

// 固件验证
// 返回值：0成功，其他值失败
int KYEE_VerifyFirmware(char *firmwareFile);
int KYEE_DeleteSignature(char *firmwareFile);
#ifdef __cplusplus
}
#endif

#endif