#ifndef __TPM_CLIENT_H__
#define __TPM_CLIENT_H__

#include <tss2/tss2_esys.h>

struct TPM_Ctx {
    ESYS_CONTEXT* esys_context;
};

#ifdef __cplusplus
extern "C" {
#endif

TSS2_RC initTpmContext(struct TPM_Ctx* ctx);

void finalizeTpmContext(struct TPM_Ctx* ctx);


#ifdef __cplusplus
}
#endif



#endif //__TPM_CLIENT_H__ss
